Automette docs

The structured response

GET
/api/v1/tasks/{id}/structured-response

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Path Parameters

id*string

Query Parameters

include_citations?boolean

Add where each extracted value was found (page and words, or sheet cell).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks/string/structured-response"
{  "task_id": "string",  "agent_id": "string",  "status": "queued",  "message": "string",  "error": "string",  "structured_response": {},  "files": [    {      "id": "string",      "name": "string",      "kind": "string",      "mime_type": "string",      "url": "string"    }  ],  "citations": [    {}  ]}